package rpc

import (
	"log"
)

type DiscoveryService struct {
}

type StartRequestParam struct {
	Name  string
	Count int
}

type StartResponseParam struct {
	Result int
}

func (ds *DiscoveryService) Start(req *StartRequestParam, res *StartResponseParam) error {
	log.Printf("DiscoveryService.Start param: Name[%s] Count[%d]", req.Name, req.Count)

	res.Result = 10

	return nil
}
